package tp.etudiant.classes;

public class Cellule<X> {
	private X valeur;
	private Cellule<X> suivant;
	
	public X getValeur() {
		return valeur;
	}

	public void setValeur(X valeur) {
		this.valeur = valeur;
	}

	public Cellule<X> getSuivant() {
		return suivant;
	}

	public void setSuivant(Cellule<X> suivant) {
		this.suivant = suivant;
	}

	public Cellule() {
		this.valeur = null;
		this.suivant = null;
	}

	@Override
	public String toString() {
		
		return "["+this.valeur+"]->"+this.suivant;
	} 
	
	
}
